Page MenuHomePhabricator

python3-etcd needs python3-dnspython
Closed, ResolvedPublic

Description

confctl is not functioning properly on cp2006/cp2012 after reimage (T208588):

07:59:17 ema@cp2006.codfw.wmnet:~
$ confctl select name=cp2006.codfw.wmnet get
CRITICAL:conftool:Could not load driver etcd: No module named 'dns'
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/conftool/backend.py", line 15, in __init__
    exec(compile(open(driver_file).read(), driver_file, 'exec'), ctx)
  File "/usr/lib/python3/dist-packages/conftool/drivers/etcd.py", line 4, in <module>
    import etcd
  File "/usr/lib/python3/dist-packages/etcd/__init__.py", line 2, in <module>
    from .client import Client
  File "/usr/lib/python3/dist-packages/etcd/client.py", line 21, in <module>
    import dns.resolver
ImportError: No module named 'dns'

Installing python3-dnspython fixes the issue. A dependency on such package should probably be added to python3-etcd judging from the exception.

Event Timeline

ema created this task.Nov 9 2018, 8:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2018, 8:02 AM
ema triaged this task as Normal priority.Nov 9 2018, 8:02 AM
ema updated the task description. (Show Details)
fgiunchedi renamed this task from python3-conftool needs python3-dns to python3-etcd needs python3-dnspython.Dec 11 2018, 4:09 PM

Change 478985 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/debs/python-etcd@master] Fix Build-Depends

https://gerrit.wikimedia.org/r/478985

Change 478985 merged by Filippo Giunchedi:
[operations/debs/python-etcd@master] Fix Build-Depends

https://gerrit.wikimedia.org/r/478985

fgiunchedi closed this task as Resolved.Jan 2 2019, 11:47 AM
fgiunchedi claimed this task.
fgiunchedi added a subscriber: fgiunchedi.

Updated and uploaded python-etcd to jessie/stretch:

root@install1002:~# apt-cache show python-etcd | grep -e Version -e Depends
Version: 0.4.3-4~jessie0
Depends: python-dnspython, python-urllib3, python:any (<< 2.8), python:any (>= 2.7.5-5~)
root@install1002:~# apt-cache show python3-etcd | grep -e Version -e Depends
Version: 0.4.3-4~jessie0
Depends: python3-dnspython, python3-urllib3, python3:any (>= 3.4~)
restbase2016:~$ apt-cache show python*-etcd | grep -e Version -e Depends
Version: 0.4.3-4
Depends: python-dnspython, python-urllib3, python:any (<< 2.8), python:any (>= 2.7~)
Version: 0.4.3-3
Depends: python-dnspython, python-urllib3, python:any (<< 2.8), python:any (>= 2.7~)
Version: 0.4.3-2
Depends: python-dnspython, python-urllib3, python:any (<< 2.8), python:any (>= 2.7.5-5~)
Version: 0.4.3-4
Depends: python3-urllib3, python3:any (>= 3.4~)
Version: 0.4.3-3
Depends: python3-urllib3, python3:any (>= 3.4~)
Version: 0.4.3-2
Depends: python3-dnspython, python3-urllib3, python3:any (>= 3.3.2-2~)
ema awarded a token.Jan 2 2019, 12:03 PM
Joe reopened this task as Open.Feb 12 2019, 5:23 PM

Please note this is fixed on jessie but not on stretch. I'm going to look into it now.

Change 490109 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/debs/python-etcd@master] Fix (again) dnspython dependency

https://gerrit.wikimedia.org/r/490109

Change 490109 merged by Giuseppe Lavagetto:
[operations/debs/python-etcd@master] Fix (again) dnspython dependency

https://gerrit.wikimedia.org/r/490109

Mentioned in SAL (#wikimedia-operations) [2019-02-14T11:04:37Z] <_joe_> upgrading python3-etcd on stretch T209136

Joe closed this task as Resolved.Feb 14 2019, 11:49 AM